# Generated by Django 2.2.3 on 2019-08-17 17:10

import core.models
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('phoneNumber', models.CharField(max_length=12, unique=True, validators=[django.core.validators.RegexValidator(message='Номер должен быть в формате +79999999999', regex='^((8|\\+7)[\\- ]?)?(\\(?\\d{3}\\)?[\\- ]?)?[\\d\\- ]{7,10}$')], verbose_name='Номер телефона')),
                ('middle_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='Отчество')),
                ('username', models.CharField(blank=True, max_length=255, verbose_name='Имя пользователя')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='Email')),
                ('token', models.CharField(default=core.models.randomString, max_length=255, verbose_name='Токен')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'Пользватель',
                'verbose_name_plural': 'Пользватели',
            },
            managers=[
                ('objects', core.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Devices',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False, verbose_name='Уникальный идентификатор')),
                ('serial_number', models.BigIntegerField(verbose_name='Серийный номер')),
                ('token', models.TextField(default=core.models.randomString, verbose_name='Токен доступа')),
                ('style', models.CharField(choices=[('ca01', 'Рекуператор CA-01'), ('ca02', 'Рекуператор CA-02')], max_length=255, verbose_name='Модель')),
                ('activated', models.BooleanField(default=False, verbose_name='Устройство активировано')),
            ],
            options={
                'verbose_name': 'Устройство',
                'verbose_name_plural': 'Устройства',
            },
        ),
        migrations.CreateModel(
            name='Setting',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='Имя')),
                ('auto_is_on', models.BooleanField(default=True, verbose_name='Автоматический режим по CO2')),
                ('inside_speed', models.PositiveSmallIntegerField(default=0, verbose_name='Скорость притока воздуха')),
                ('outside_speed', models.PositiveSmallIntegerField(default=0, verbose_name='Скорость оттока воздуха')),
                ('heater_is_on', models.BooleanField(default=False, verbose_name='Нагреватель включен')),
                ('night_is_on', models.BooleanField(default=False, verbose_name='Включать ночной режим')),
                ('night_auto_is_on', models.BooleanField(default=True, verbose_name='Автоматический ночной режим по CO2')),
                ('night_time_on', models.TimeField(blank=True, null=True, verbose_name='Время включения ночного режима')),
                ('night_time_off', models.TimeField(blank=True, null=True, verbose_name='Время выключения ночного режима')),
                ('night_inside_speed', models.PositiveSmallIntegerField(default=0, verbose_name='Скорость притока воздуха ночной режим')),
                ('night_outside_speed', models.PositiveSmallIntegerField(default=0, verbose_name='Скорость оттока воздуха ночной режим')),
                ('timer_is_on', models.BooleanField(default=False, verbose_name='Таймер активирован')),
                ('timer_on', models.DateTimeField(blank=True, default=None, null=True, verbose_name='Время включения (таймер)')),
                ('timer_off', models.DateTimeField(blank=True, default=None, null=True, verbose_name='Время отключения (таймер)')),
                ('timer_inside_speed', models.PositiveSmallIntegerField(default=0, verbose_name='Скорость притока воздуха ночной режим')),
                ('timer_outside_speed', models.PositiveSmallIntegerField(default=0, verbose_name='Скорость оттока воздуха ночной режим')),
                ('timer_heater_is_on', models.BooleanField(default=False, verbose_name='Нагреватель для таймера включен')),
                ('device', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='core.Devices', verbose_name='Устройство')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Пользватель')),
            ],
            options={
                'verbose_name': 'Настройки устройства ',
                'verbose_name_plural': 'Настройки устройств',
            },
        ),
        migrations.CreateModel(
            name='TempStatistic',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('co2', models.PositiveSmallIntegerField()),
                ('inside_pressure', models.PositiveSmallIntegerField()),
                ('inside_temp', models.DecimalField(decimal_places=2, max_digits=5)),
                ('inside_humidity', models.DecimalField(decimal_places=2, max_digits=6)),
                ('outside_pressure', models.PositiveSmallIntegerField()),
                ('outside_temp', models.DecimalField(decimal_places=2, max_digits=5)),
                ('outside_humidity', models.DecimalField(decimal_places=2, max_digits=6)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Setting')),
            ],
            options={
                'verbose_name': 'Статистика',
                'verbose_name_plural': 'Статистика',
            },
        ),
    ]
